/*******************************************************************************
 * Copyright (c) 2005, 2006 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *     IBM Corporation - initial API and implementation
 * Port to the D programming language:
 *     Frank Benoit <benoit@tionex.de>
 *******************************************************************************/
module dwtx.jface.viewers.ITreeSelection;

import dwtx.jface.viewers.IStructuredSelection;
import dwtx.jface.viewers.TreePath;

import dwt.dwthelper.utils;

/**
 * A selection containing tree paths.
 *
 * @since 3.2
 *
 */
public interface ITreeSelection : IStructuredSelection {

    /**
     * Returns the paths in this selection
     *
     * @return the paths in this selection
     */
    public TreePath[] getPaths();

    /**
     * Returns the paths in this selection whose last segment is equal
     * to the given element
     *
     * @param element the element to get the tree paths for
     *
     * @return the array of tree paths
     */
    public TreePath[] getPathsFor(Object element);

}
